### Class

# Fwupd Plugin

#### Description [src]

    class Fwupd.Plugin : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

A plugin which is used by fwupd to enumerate and update devices.

See also: `FwupdRelease`.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fwupd_plugin_new

Creates a new plugin.

since: 1.5.0

#### Functions

###### fwupd_plugin_flag_from_string

Converts a string to an enumerated value.

since: 1.5.0

###### fwupd_plugin_flag_to_string

Converts an enumerated value to a string.

since: 1.5.0

#### Instance methods

###### fwupd_plugin_add_flag

Adds a specific plugin flag to the plugin.

since: 1.5.0

###### fwupd_plugin_get_flags

Gets the plugin flags.

since: 1.5.0

###### fwupd_plugin_get_name

Gets the plugin name.

since: 1.5.0

###### fwupd_plugin_has_flag

Finds if the plugin has a specific plugin flag.

since: 1.5.0

###### fwupd_plugin_remove_flag

Removes a specific plugin flag from the plugin.

since: 1.5.0

###### fwupd_plugin_set_flags

Sets the plugin flags.

since: 1.5.0

###### fwupd_plugin_set_name

Sets the plugin name.

since: 1.5.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

since: 2.0.0

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

since: 2.0.0

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

since: 2.0.0

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

since: 2.0.0

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

since: 2.0.0

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

since: 2.0.0

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

since: 2.0.0

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

since: 2.0.0

#### Properties

###### Fwupd.Plugin:flags

The plugin flags.

since: 1.5.0

###### Fwupd.Plugin:name

The plugin name.

since: 1.5.0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginClass {
      GObjectClass parent_class;
      void (* _fwupd_reserved1) (
    void
      );
      void (* _fwupd_reserved2) (
    void
      );
      void (* _fwupd_reserved3) (
    void
      );
      void (* _fwupd_reserved4) (
    void
      );
      void (* _fwupd_reserved5) (
    void
      );
      void (* _fwupd_reserved6) (
    void
      );
      void (* _fwupd_reserved7) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_fwupd_reserved1: void (* _fwupd_reserved1) ( void )`

  No description available.

`_fwupd_reserved2: void (* _fwupd_reserved2) ( void )`

  No description available.

`_fwupd_reserved3: void (* _fwupd_reserved3) ( void )`

  No description available.

`_fwupd_reserved4: void (* _fwupd_reserved4) ( void )`

  No description available.

`_fwupd_reserved5: void (* _fwupd_reserved5) ( void )`

  No description available.

`_fwupd_reserved6: void (* _fwupd_reserved6) ( void )`

  No description available.

`_fwupd_reserved7: void (* _fwupd_reserved7) ( void )`

  No description available.